summaryrefslogtreecommitdiffstats
path: root/testing/source/mozilla-thunderbird/build-deps.sh
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2019-08-29 22:21:17 +0000
committer Eric Hameleers <alien@slackware.com>2019-08-30 08:59:47 +0200
commit0b228c957620e1f1cd1b9ef86f2b1f0b9c104b6f (patch)
tree49277fb29c38adeeed8fbc38d3f172f9c8c67861 /testing/source/mozilla-thunderbird/build-deps.sh
parent4dce2a46ca603e244644b58f7e18cf6af37589c3 (diff)
downloadcurrent-0b228c957620e1f1cd1b9ef86f2b1f0b9c104b6f.tar.gz
current-0b228c957620e1f1cd1b9ef86f2b1f0b9c104b6f.tar.xz
Thu Aug 29 22:21:17 UTC 201920190829222117
a/kernel-firmware-20190827_7307a29-noarch-1.txz: Upgraded. a/kernel-generic-4.19.69-x86_64-1.txz: Upgraded. a/kernel-huge-4.19.69-x86_64-1.txz: Upgraded. a/kernel-modules-4.19.69-x86_64-1.txz: Upgraded. ap/vim-8.1.1936-x86_64-1.txz: Upgraded. d/kernel-headers-4.19.69-x86-1.txz: Upgraded. e/emacs-26.3-x86_64-1.txz: Upgraded. k/kernel-source-4.19.69-noarch-1.txz: Upgraded. n/libgcrypt-1.8.5-x86_64-1.txz: Upgraded. Add mitigation against an ECDSA timing attack. For more information, see: https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-13627 (* Security fix *) xap/vim-gvim-8.1.1936-x86_64-1.txz: Upgraded. isolinux/initrd.img: Rebuilt. kernels/*: Upgraded. testing/packages/mozilla-thunderbird-68.0-x86_64-1.txz: Upgraded. This is a bugfix release. For more information, see: https://www.mozilla.org/en-US/thunderbird/68.0/releasenotes/ usb-and-pxe-installers/usbboot.img: Rebuilt.
Diffstat (limited to 'testing/source/mozilla-thunderbird/build-deps.sh')
-rwxr-xr-xtesting/source/mozilla-thunderbird/build-deps.sh41
1 files changed, 41 insertions, 0 deletions
diff --git a/testing/source/mozilla-thunderbird/build-deps.sh b/testing/source/mozilla-thunderbird/build-deps.sh
new file mode 100755
index 000000000..69d1a8b29
--- /dev/null
+++ b/testing/source/mozilla-thunderbird/build-deps.sh
@@ -0,0 +1,41 @@
+#!/bin/bash
+
+# Copyright 2019 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Clear out any existing build deps:
+rm -rf $TMP/mozilla-thunderbird-build-deps
+mkdir -p $TMP/mozilla-thunderbird-build-deps
+# This will be at the beginning of the $PATH, so protect against nonsense
+# happening in /tmp:
+chmod 700 $TMP/mozilla-thunderbird-build-deps
+PATH=$TMP/mozilla-thunderbird-build-deps/usr/bin:$HOME/.cargo/bin:$PATH
+
+# cbindgen is a build-time dependency:
+( cd $CWD/build-deps/cbindgen ; ./cbindgen.build ) || exit 1
+
+if /bin/ls build-deps*.txz 1> /dev/null 2> /dev/null ; then # use prebuilt autoconf/nodejs
+ ( cd $TMP/mozilla-thunderbird-build-deps ; tar xf $CWD/build-deps*.txz )
+else
+ # We need to use the incredibly ancient autoconf-2.13 for this :/
+ ( cd $CWD/build-deps/autoconf ; ./autoconf.build ) || exit 1
+ # And node.js... WHY
+ ( cd $CWD/build-deps/nodejs ; ./nodejs.build ) || exit 1
+fi